#pragma once 
#define GLFW_STATIC

#include <iostream>
#include <GLFW/glfw3.h>

#include "../EventSystem/Event.h"
#include "../EventSystem/EventListener.h"
namespace YoggieEngine {
    class BarinkWindow : EventListener {
    private:
        GLFWwindow* window;
        bool FullScreen;
        bool VulkanSupported;
        int Width, Height;

        static bool InitGLFW();

    public:
        BarinkWindow(const int width, const int height);
        ~BarinkWindow();

        GLFWwindow* windowptr();

        void ReceiveEvent(Event& incident) override;
        bool WindowShouldClose();

        void Poll();
        void SwapBuffers();


    };
}
